<mat-toolbar color="primary">
  <mat-toolbar-row>
    <span class="example-spacer"></span>
    <button (click)="sidenav.toggle()" mat-icon-button class="example-icon"
      aria-label="Example icon-button with menu icon">
      <mat-icon>menu</mat-icon>
    </button>
    <span>My App</span>
  </mat-toolbar-row>
</mat-toolbar>
<mat-sidenav-container class="example-container">
  <mat-sidenav #sidenav [mode]="'push'">
    <p>
      <mat-radio-group class="example-radio-group">
        <label>Mode:</label>
        <mat-radio-button value="over">Over</mat-radio-button>
        <mat-radio-button value="side">Side</mat-radio-button>
        <mat-radio-button value="push">Push</mat-radio-button>
      </mat-radio-group>
    </p>
  </mat-sidenav>
  <mat-sidenav-content>

    <body class="container-fluid vh-100">
      <router-outlet></router-outlet>
    </body>
  </mat-sidenav-content>

</mat-sidenav-container>